Get accounting forms¶
Summary¶
Source repository:
jef-systems/jef-accounting-backendSource SHA:
eaca6413a00fd211146c504137047c3d327f687bSource run id:
31404676080Module:
AccountingLambda function:
jef-accounting-get-formsHTTP method:
GETInvocation mode:
syncPackage mode:
no-packageAPI category:
Accounting Complex Sync No Package GET APIsAPI path:
/accounting/complex-sync-no-packages/jef-accounting-get-formsEndpoint URL:
https://api.jefoffice.com/accounting/complex-sync-no-packages/jef-accounting-get-formsDocumentation scope:
lambda-complex-sync-no-packages
Synchronous Lambda Complex Rule¶
This API is documented as a synchronous Lambda complex no-package API. API Gateway waits for the Lambda result and returns the final Lambda response.
Description¶
Lists forms for the entity identified by the supplied jsin.
Payload Example¶
{
"jsin": "1513"
}
Payload Schema¶
{
"root": {
"type": "M",
"required": true,
"additional_properties": false,
"attributes": {
"jsin": {
"type": "S",
"required": true,
"regex": "^[0-9]{4}$"
}
}
}
}
Response Schema¶
{
"root": {
"type": "M",
"required": true,
"additional_properties": false,
"attributes": {
"forms": {
"type": "L",
"required": false,
"items": {
"type": "M",
"required": true,
"additional_properties": false,
"attributes": {
"form_name": {
"type": "S",
"required": true
},
"active_spec_version": {
"type": "S",
"required": true,
"regex": "^[0-9]{9}$"
},
"is_active": {
"type": "BOOL",
"required": true
}
}
}
},
"error_code": {
"type": "S",
"required": false
},
"message": {
"type": "S",
"required": false
}
}
}
}
CMD curl¶
curl.exe -X GET "https://api.jefoffice.com/accounting/complex-sync-no-packages/jef-accounting-get-forms"
PowerShell curl¶
curl.exe -X GET "https://api.jefoffice.com/accounting/complex-sync-no-packages/jef-accounting-get-forms"